CC       = CL
SNPSRC   = ..\snpsrc
EMMSRC   = ..\emmsrc
USRSRC   = ..\elec
ISCL     = ..\lib\libscl\ms
LSCL     = ..\lib\libscl\ms\libscl.lib
ISNP     = ..\lib\libsnp\ms
LSNP     = ..\lib\libsnp\ms\libsnp.lib
ISMM     = ..\lib\libsmm\ms
LSMM     = ..\lib\libsmm\ms\libsmm.lib
CFLAGS   = -WL -EHsc -nologo -TP -c \
	   -I$(SNPSRC) -I$(EMMSRC) -I$(USRSRC) -I$(ISMM) -I$(ISNP) -I$(ISCL)
LFLAGS   = -WL -EHsc -nologo $(LSNP) $(LSMM) $(LSCL) 

HEADERS  = $(ISNP)/libsnp.h $(ISMM)/libsmm.h \
	$(EMMSRC)/emm_base.h $(EMMSRC)/emm.h $(USRSRC)/emmusr.h \
	$(SNPSRC)/snp_base.h $(SNPSRC)/snp.h $(SNPSRC)/snpusr.h \
	$(ISCL)/libscl.h
	
OBJECTS = emm.obj emmcode1.obj emmcode2.obj emmcode3.obj emmusr.obj\
	  snpcode1.obj snpcode2.obj snpcode3.obj snpusr.obj

emm.exe :  $(OBJECTS) $(HEADERS)
	$(CC) /Feemm $(OBJECTS) $(LFLAGS)

emm.obj : $(EMMSRC)/emm.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(EMMSRC)/emm.cpp

emmcode1.obj : $(EMMSRC)/emmcode1.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(EMMSRC)/emmcode1.cpp

emmcode2.obj : $(EMMSRC)/emmcode2.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(EMMSRC)/emmcode2.cpp

emmcode3.obj : $(EMMSRC)/emmcode3.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(EMMSRC)/emmcode3.cpp

emmusr.obj : $(USRSRC)/emmusr.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(USRSRC)/emmusr.cpp

snpcode1.obj : $(SNPSRC)/snpcode1.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpcode1.cpp

snpcode2.obj : $(SNPSRC)/snpcode2.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpcode2.cpp

snpcode3.obj : $(SNPSRC)/snpcode3.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpcode3.cpp

snpusr.obj : $(SNPSRC)/snpusr.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpusr.cpp

clean :
	del *.obj

veryclean :
	del *.obj
	del emm.exe

