#! /bin/sh

# This shell script works for a quad board machine with AMD Opteron 
# twelve core processors running CentOS 5 and OpenMPI Version 1.4.

export PATH="$PATH:/usr/lib64/openmpi/1.4-gcc/bin/"
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/lib64/openmpi/1.4-gcc/lib"
export C_INCLUDE_PATH="$C_INCLUDE_PATH:/usr/lib64/openmpi/1.4-gcc/include"

echo "localhost cpu=48" > OpenMPIhosts

test -f summary.dat && cat summary.dat >> summary.bak
test -f control.dat && cat control.dat >> control.bak
test -f detail.dat  && mv -f detail.dat   detail.bak
test -f snp_mpi.err && mv -f snp_mpi.err  snp_mpi.err.bak
test -f snp_mpi.out && mv -f snp_mpi.out  snp_mpi.out.bak 

cp null.dat summary.dat
cp null.dat detail.dat

rm -f core core.*

make -f makefile.mpi.OpenMPI_1.4 >snp_mpi.out 2>&1 && \
  mpirun --hostfile OpenMPIhosts ${PWD}/snp_mpi >>snp_mpi.out 2>snp_mpi.err

RC=$?

case $RC in
  0) exit 0 ;;
  esac
exit 1;
~
